<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="assets/xml/rss.xsl" media="all"?><rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:atom="http://www.w3.org/2005/Atom"><channel><title>duckland.org news</title><link>http://www.duckland.org/</link><description>News from duckland.org</description><atom:link rel="self" href="http://www.duckland.org/rss.xml" type="application/rss+xml"></atom:link><language>en</language><lastBuildDate>Sat, 13 Jun 2015 02:48:42 GMT</lastBuildDate><generator>http://getnikola.com/</generator><docs>http://blogs.law.harvard.edu/tech/rss</docs><item><title>Moving</title><link>http://www.duckland.org/posts/moving.html</link><dc:creator>Don Harper</dc:creator><description>&lt;div&gt;&lt;img alt="HP logo" class="align-left" src="http://www.duckland.org/images/Moving/HP_logo.png" style="width: 100px; height: 100px;"&gt;
&lt;p&gt;Well, after 4 years (almost to the day), it is time for me to say good-bye to HP.  The team I worked on is a great team who really know their stuff.  However, I am a geek, and I want to be doing things with tech, and not talking about tech,, and for the most part, talking is all I have been doing.  I have learned a lot and was given a chance to do some &lt;a class="reference external" href="http://www.duckland.org/posts/201402travels.html"&gt;traveling&lt;/a&gt; which I do not think I would have been able to do.&lt;/p&gt;
&lt;p&gt;So, where am I going?  Well, until after I start and get on-boarded, I am not sure how much I can say.  It is a financial company based in Houston, so I will not be moving the crew, just changing the direction I commute back to into the sun again.&lt;/p&gt;
&lt;p&gt;Stay tuned here for more updates, and I will probably be using this as a place to document some of the new things I learn on the way.&lt;/p&gt;
&lt;p&gt;Peace.&lt;/p&gt;&lt;/div&gt;</description><category>personal</category><category>work</category><guid>http://www.duckland.org/posts/moving.html</guid><pubDate>Fri, 12 Jun 2015 15:30:39 GMT</pubDate></item><item><title>Updates to AUR packages</title><link>http://www.duckland.org/posts/updates-to-aur-packages.html</link><dc:creator>Don Harper</dc:creator><description>&lt;div&gt;&lt;p&gt;So, with the &lt;a class="reference external" href="https://wiki.archlinux.org/index.php/Arch_User_Repository#AUR_4"&gt;migration of the AUR to version 4&lt;/a&gt;, I looked at the 12 AUR packages I had created over the years which I have not looked at in a long, long time.&lt;/p&gt;
&lt;p&gt;The list started out with:&lt;/p&gt;
&lt;ul class="simple"&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/chronicle/"&gt;chronicle&lt;/a&gt; - A simple blog compiler written in Perl&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-leocharre-basename/"&gt;perl-leocharre-basename&lt;/a&gt; - Very basic filename string and path operations such as ext and paths&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-leocharre-cli2/"&gt;perl-leocharre-cli2&lt;/a&gt; - Some quick help for writing cli scripts&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-leocharre-debug/"&gt;perl-leocharre-debug&lt;/a&gt; - Debug subroutines&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-leocharre-dir/"&gt;perl-leocharre-dir&lt;/a&gt; - Subroutines for general directory needs&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-leocharre-strings/"&gt;perl-leocharre-strings&lt;/a&gt; - Combines string procedures I frequently use&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-string-prettify/"&gt;perl-string-prettify&lt;/a&gt; - Subroutines to cleanup a filename and or garble for human eyes&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-wordpress-api/"&gt;perl-wordpress-api&lt;/a&gt; - Management of Wordpress API objects. Inherits WordPress::XMLRPC and all its methods&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-wordpress-cli/"&gt;perl-wordpress-cli&lt;/a&gt; - Command line access to Wordpress&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/perl-wordpress-xmlrpc/"&gt;perl-wordpress-xmlrpc&lt;/a&gt; - API to Wordpress XML RPC calls&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/usbmount/"&gt;usbmount&lt;/a&gt; - Automatically mount and unmount USB mass storage devices&lt;/li&gt;
&lt;li&gt;&lt;a class="reference external" href="http://aur.archlinux.org/packages/xlhtml/"&gt;xlhttp&lt;/a&gt; - An Excel spreadsheet (.xls) and PowerPoint (.ppt) to HTML converter&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;In the end, I only kept &lt;em&gt;xlhttp&lt;/em&gt; as I do not use the others anymore.  Surprisingly enough, only one of the packages (&lt;em&gt;chronicle&lt;/em&gt;) was out of date.  I disowned all the others, so if you want,  you can pick them up.&lt;/p&gt;&lt;/div&gt;</description><category>arch</category><category>linux</category><category>software</category><guid>http://www.duckland.org/posts/updates-to-aur-packages.html</guid><pubDate>Tue, 09 Jun 2015 22:19:48 GMT</pubDate></item><item><title>Vegas, again</title><link>http://www.duckland.org/posts/vegas-again.html</link><dc:creator>Don Harper</dc:creator><description>&lt;div&gt;&lt;p&gt;Once more, off the Las Vegas for to work a trade show.  This year, I was helping present training, so I was tucked away in a basement most of the trip, and did not get out to do much in the way of sight-seeing aside from walking around the hotel.&lt;/p&gt;

&lt;div id="slides_fd8d960bd7f04dc0be3739460931afea" class="carousel slide"&gt;
    &lt;ol class="carousel-indicators"&gt;
            &lt;li data-target="#slides_fd8d960bd7f04dc0be3739460931afea" data-slide-to="0" class="active"&gt;
            &lt;/li&gt;&lt;li data-target="#slides_fd8d960bd7f04dc0be3739460931afea" data-slide-to="1"&gt;
            &lt;/li&gt;&lt;li data-target="#slides_fd8d960bd7f04dc0be3739460931afea" data-slide-to="2"&gt;
            &lt;/li&gt;&lt;li data-target="#slides_fd8d960bd7f04dc0be3739460931afea" data-slide-to="3"&gt;
            &lt;/li&gt;&lt;li data-target="#slides_fd8d960bd7f04dc0be3739460931afea" data-slide-to="4"&gt;
            &lt;/li&gt;&lt;li data-target="#slides_fd8d960bd7f04dc0be3739460931afea" data-slide-to="5"&gt;
            &lt;/li&gt;&lt;li data-target="#slides_fd8d960bd7f04dc0be3739460931afea" data-slide-to="6"&gt;
    &lt;/li&gt;&lt;/ol&gt;
    &lt;div class="carousel-inner"&gt;
                &lt;div class="item active"&gt;&lt;img src="http://www.duckland.org/images/Vegas-2015-06/20150531194530.jpg" alt="" style="margin: 0 auto 0 auto;"&gt;&lt;/div&gt;
                &lt;div class="item"&gt;&lt;img src="http://www.duckland.org/images/Vegas-2015-06/20021208120000_1.jpg" alt="" style="margin: 0 auto 0 auto;"&gt;&lt;/div&gt;
                &lt;div class="item"&gt;&lt;img src="http://www.duckland.org/images/Vegas-2015-06/20021208120000_2.jpg" alt="" style="margin: 0 auto 0 auto;"&gt;&lt;/div&gt;
                &lt;div class="item"&gt;&lt;img src="http://www.duckland.org/images/Vegas-2015-06/20150602214415.jpg" alt="" style="margin: 0 auto 0 auto;"&gt;&lt;/div&gt;
                &lt;div class="item"&gt;&lt;img src="http://www.duckland.org/images/Vegas-2015-06/20150603092013.jpg" alt="" style="margin: 0 auto 0 auto;"&gt;&lt;/div&gt;
                &lt;div class="item"&gt;&lt;img src="http://www.duckland.org/images/Vegas-2015-06/20150603092026.jpg" alt="" style="margin: 0 auto 0 auto;"&gt;&lt;/div&gt;
                &lt;div class="item"&gt;&lt;img src="http://www.duckland.org/images/Vegas-2015-06/20021208120000.jpg" alt="" style="margin: 0 auto 0 auto;"&gt;&lt;/div&gt;
    &lt;/div&gt;
    &lt;a class="left carousel-control" href="http://www.duckland.org/posts/vegas-again.html#slides_fd8d960bd7f04dc0be3739460931afea" data-slide="prev"&gt;&lt;span class="icon-prev"&gt;&lt;/span&gt;&lt;/a&gt;
    &lt;a class="right carousel-control" href="http://www.duckland.org/posts/vegas-again.html#slides_fd8d960bd7f04dc0be3739460931afea" data-slide="next"&gt;&lt;span class="icon-next"&gt;&lt;/span&gt;&lt;/a&gt;
&lt;/div&gt;

&lt;p&gt;But, I did find time to snap a few pictures.&lt;/p&gt;&lt;/div&gt;</description><category>photo</category><category>travel</category><category>work</category><guid>http://www.duckland.org/posts/vegas-again.html</guid><pubDate>Sat, 06 Jun 2015 15:06:48 GMT</pubDate></item><item><title>Quick Ansible Tip</title><link>http://www.duckland.org/posts/quick-ansible-tip.html</link><dc:creator>Don Harper</dc:creator><description>&lt;div&gt;&lt;p&gt;This is a quick post to capture something seen.  &lt;a class="reference external" href="http://www.ansible.com"&gt;Ansibel&lt;/a&gt; is a configuration management tool that I have been learning recently.  More details in a future post.  This is just to capture this idea:&lt;/p&gt;
&lt;blockquote&gt;
&lt;p&gt;From: Smith, Chris (Big Data)&lt;/p&gt;
&lt;p&gt;To: ansible&lt;/p&gt;
&lt;p&gt;Ansible Galaxy is a centralised Github repository of public Ansible content, see: &lt;a class="reference external" href="https://galaxy.ansible.com/"&gt;https://galaxy.ansible.com/&lt;/a&gt; It uses a local routine that is installed when you install Ansible, called ‘ansible-galaxy’, to create a blank template for your Ansible content. What is not well known is you can run ‘ansible-galaxy’ in offline mode to create a blank template using the command:&lt;/p&gt;
&lt;p&gt;# ansible-galaxy init --offline my-role&lt;/p&gt;
&lt;p&gt;Enjoy,&lt;/p&gt;
&lt;p&gt;Chris&lt;/p&gt;
&lt;/blockquote&gt;
&lt;p&gt;More on this as I get some more back-ends stuff taken care of, like setting up a git repo and maybe auto-deploy from git push?&lt;/p&gt;&lt;/div&gt;</description><category>ansible</category><category>sa</category><guid>http://www.duckland.org/posts/quick-ansible-tip.html</guid><pubDate>Wed, 27 May 2015 12:24:16 GMT</pubDate></item><item><title>April recap</title><link>http://www.duckland.org/posts/april-recap.html</link><dc:creator>Don Harper</dc:creator><description>&lt;div&gt;&lt;p&gt;April has come and gone, and I did not manage to find time (or energy) to post anything.&lt;/p&gt;
&lt;p&gt;I spent most of the month at work getting ready to and then delivering some training remotely in Nashville, TN, US.  Now, I can say that I have stayed at the largest non-casino hotel in the world, &lt;a class="reference external" href="http://www.marriott.com/hotels/travel/bnago-gaylord-opryland-resort-and-convention-center/"&gt;The Gaylord Opryland&lt;/a&gt;.  Now that that is over, I get to gear up to design a new training plan for internal product training.  Such is the life of a  Linux guy stuck working for a marketing group.&lt;/p&gt;
&lt;p&gt;On the home front, we have hit a busy time with soccer, volleyball, dance, and swim time.  I think we get a break sometime after the 4th of July.....&lt;/p&gt;&lt;/div&gt;</description><category>sitenews</category><guid>http://www.duckland.org/posts/april-recap.html</guid><pubDate>Mon, 04 May 2015 01:51:09 GMT</pubDate></item><item><title>March Update</title><link>http://www.duckland.org/posts/march-update.html</link><dc:creator>Don Harper</dc:creator><description>&lt;div&gt;&lt;p&gt;Does updating the theme of the site count as an update?  No?  Okay...time to type.&lt;/p&gt;
&lt;p&gt;Life is busy right now, and extra things are gonna have to give.  I have not had a chance to do much photography (both making and processing them), so I am putting the daily site on hold, again.  For the sharp eye among you,  you would have noticed this last week.&lt;/p&gt;
&lt;p&gt;On the upside, I have lost about 20 pounds since the beginning of the year.  While I am not where I want to be weight-wise, I have lost a pants size which puts me back were I was about 10 years ago.  Life is good.&lt;/p&gt;
&lt;p&gt;I am going to see about updating things here more often, if nothing else to have a record of things not in a cloud based service which may dramatically change its pricing model on me.&lt;/p&gt;&lt;/div&gt;</description><category>sitenews</category><guid>http://www.duckland.org/posts/march-update.html</guid><pubDate>Wed, 11 Mar 2015 05:15:02 GMT</pubDate></item><item><title>FreeBSD Challenge II, End Report</title><link>http://www.duckland.org/posts/30daychallengefreebsdsa.html</link><dc:creator>Don Harper</dc:creator><description>&lt;div&gt;&lt;p&gt;And, again, I hit something which is causing massive disk performance issues.  That, and suspend/resume does not work on either laptop.&lt;/p&gt;
&lt;p&gt;I would try to debug the issues, but that means learning a whole new set of tools, and I will not have time for a while.  Next week, I am in week long meetings which will run late every day, and then I have to finish writing and present a training class the last week of the month.  The hour or two I can spare will be far better spent for me by backup, re-installing &lt;a class="reference external" href="http://www.archlinux.org"&gt;ArchLinux&lt;/a&gt; than by starting to learn the tools.  Yes, a bit of a cop-out, but I need the machines to do what I need to do.  I will keep the servers FreeBSD, however, as it works great there.&lt;/p&gt;
&lt;p&gt;I will revisit the issue of FreeBSD on the laptops when I either get new kit, or support for my models gets better.&lt;/p&gt;&lt;/div&gt;</description><category>30DayChallenge</category><category>FreeBSD</category><category>linux</category><category>sa</category><guid>http://www.duckland.org/posts/30daychallengefreebsdsa.html</guid><pubDate>Fri, 06 Feb 2015 12:43:32 GMT</pubDate></item><item><title>FreeBSD Challenge II, Day 30 Update</title><link>http://www.duckland.org/posts/freebsd-challenge-ii-day-30-update.html</link><dc:creator>Don Harper</dc:creator><description>&lt;div&gt;&lt;p&gt;As the month draws to a close, I am further into the switch.  I have rebuilt my main laptop to &lt;a class="reference external" href="http://www.pcbsd.org"&gt;PCBSD&lt;/a&gt;.  I am still setting a few things up, but it seems to be going well.&lt;/p&gt;
&lt;p&gt;Two things I need to fix:&lt;/p&gt;
&lt;ul class="simple"&gt;
&lt;li&gt;&lt;strong&gt;Skype&lt;/strong&gt;: While there is not a native client, there are lots of folks who report success with the Linux client.  I will need to do some research.&lt;/li&gt;
&lt;li&gt;&lt;strong&gt;Nikola&lt;/strong&gt;: The software I use for my blogs.  It throws a python error when I run it, so I cannot update things.  Again, I think I just need to do some more research.&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;Now, the fun of the weekend is here, so I am off!&lt;/p&gt;&lt;/div&gt;</description><category>30DayChallenge</category><category>FreeBSD</category><category>sa</category><guid>http://www.duckland.org/posts/freebsd-challenge-ii-day-30-update.html</guid><pubDate>Fri, 30 Jan 2015 21:38:32 GMT</pubDate></item><item><title>FreeBSD Challenge II, Day 14</title><link>http://www.duckland.org/posts/freebsd-challenge-ii-day-14.html</link><dc:creator>Don Harper</dc:creator><description>&lt;div&gt;&lt;p&gt;Today is day 14 (pushing day 15 at this hour), and things are looking very good.  Today, I got word from the &lt;a class="reference external" href="http://www.pcbsd.org"&gt;PCBSD Project&lt;/a&gt; that a patch which I submitted to fix the &lt;a class="reference external" href="http://www.duckland.org/posts/201407freebsd-switch.html"&gt;issue with the WiFi NIC&lt;/a&gt;.  Well, I got notice today that &lt;a class="reference external" href="https://bugs.freenas.org/issues/7330"&gt;PCBSD Bug #7330&lt;/a&gt; has been resolved, and I tested on the R810.  It works!&lt;/p&gt;
&lt;p&gt;Now, I just need to get a few things configured here first, like snapshots, backups, and porting my SDCARD reading scripts over to FreeBSD, and I should be good.&lt;/p&gt;
&lt;p&gt;Then, fun things like configure &amp;amp; use IPv6.  I have two FreeBSD VSP servers to test with...it will be fun!&lt;/p&gt;&lt;/div&gt;</description><category>30DayChallenge</category><category>FreeBSD</category><category>sa</category><guid>http://www.duckland.org/posts/freebsd-challenge-ii-day-14.html</guid><pubDate>Thu, 15 Jan 2015 05:51:48 GMT</pubDate></item><item><title>Update on revisiting FreeBSD Challenge</title><link>http://www.duckland.org/posts/update-on-revisiting-freebsd-challenge.html</link><dc:creator>Don Harper</dc:creator><description>&lt;div&gt;&lt;p&gt;It is the 10th day of the month, and I am 10 days in trying to use FreeBSD as my daily non-work driver.  How is it going?&lt;/p&gt;
&lt;p&gt;Well, for the most part, well.  I can spend most of my personal work-flow on the FreeBSD laptop with no issues.  There are a couple of things I have not moved over yet, and those relate to my photo work-flow.  The main application, &lt;a class="reference external" href="http://aftershotpro.com"&gt;AfterShotPro&lt;/a&gt; is installed and working (see &lt;a class="reference external" href="http://www.duckland.org/posts/201403freebsd-challenge-day-4-6.html"&gt;my previous desciption&lt;/a&gt; of installing in), however, I have not moved over the scripts I use in the flow.  I believe they will just come over, but I have not had a chance to test them.&lt;/p&gt;
&lt;p&gt;I was using &lt;a class="reference external" href="http://chromium.org"&gt;Chromium&lt;/a&gt;, but any Flash site did not work.  I need to revisit this at some point, but for now I went back to Firefox, and it is working create.&lt;/p&gt;
&lt;p&gt;The only major thing right now I need to figure out is how FreeBSD deals with sound.  I can hear things from the speakers just fine, but I need to figure out how to enable and use an USB headset.  Not the biggest, but still.  I also need to either install &amp;amp; configure Skype, or find a replacement video chat to use with the wife while traveling that works under FreeBSD.   I like the second option better, but I have not really had the time to do the research.&lt;/p&gt;
&lt;p&gt;And, the new site generating suite I am using works under FreeBSD.  I wrote and posted this from the FreeBSD laptop.&lt;/p&gt;
&lt;p&gt;More updates soon.&lt;/p&gt;&lt;/div&gt;</description><category>30DayChallenge</category><category>sa</category><guid>http://www.duckland.org/posts/update-on-revisiting-freebsd-challenge.html</guid><pubDate>Sun, 11 Jan 2015 04:35:04 GMT</pubDate></item></channel></rss>